summaryrefslogtreecommitdiff
path: root/construct.sh
diff options
context:
space:
mode:
authorJay Freeman <saurik@saurik.com>2008-01-01 13:29:32 +0000
committerJay Freeman <saurik@saurik.com>2008-01-01 13:29:32 +0000
commit81f9fdd7221a3bd7e1e5f2cbf8b5698d1a99ff10 (patch)
tree68c19e664707e6502abbecac60be7bd0180ddda5 /construct.sh
parent1927b67af64514cb7813468f23010684e0ef1d2b (diff)
Added many more packages (gnupg and friends), fixed repository signing, ported vim to Darwin 10.5, and added a better set of default scripts for package construction.
git-svn-id: http://svn.telesphoreo.org/trunk@5 514c082c-b64e-11dc-b46d-3d985efe055d
Diffstat (limited to 'construct.sh')
-rwxr-xr-xconstruct.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/construct.sh b/construct.sh
new file mode 100755
index 000000000..39aaa1dbf
--- /dev/null
+++ b/construct.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+set -e
+shopt -s extglob nullglob
+PKG_REPO=/dat/web/apt.saurik.com
+PKG_OVER=${PKG_REPO}/indices/override.tangelo.main.gz
+PKG_PKGS=${PKG_REPO}/dists/tangelo/main/binary-darwin-arm/Packages
+for package in data/!(*_); do
+ PKG_NAME=$(basename "${package}")
+ echo "${PKG_NAME}" "$(cat "data/${PKG_NAME}/_metadata/priority")" "$(cat "data/${PKG_NAME}/_metadata/section")"
+done | gzip -9c >"${PKG_OVER}"
+dpkg-scanpackages debs <(zcat "${PKG_OVER}") >"${PKG_PKGS}"
+gzip -c "${PKG_PKGS}" >"${PKG_PKGS}.gz"
+rm -rf "${PKG_REPO}/debs"
+cp -a debs "${PKG_REPO}"
+cd "${PKG_REPO}/dists/tangelo"
+
+{
+ cat <<EOF
+Origin: saurik
+Label: Telesphoreo
+Suite: stable
+Version: 1.0r4
+Codename: tangelo
+Architectures: darwin-arm
+Components: main
+Description: Telesphoreo Tangelo 1.0r4
+MD5Sum:
+EOF
+
+ find */* -type f | while read -r line; do
+ echo a 1>&2
+ echo " $(md5sum "${line}" | cut -d ' ' -f 1) $(du -b "${line}" | cut -d $'\t' -f 1) ${line}"
+ done
+
+} >"Release"
+
+gpg -abs -o Release.gpg Release